FROM debian:buster

RUN apt-get update && \
    apt-get install -y prosody

COPY external_components.cfg.lua /etc/prosody/conf.d/external_components.cfg.lua
COPY xmpp_conf /usr/local/bin/xmpp_conf
COPY xmpp_gen /usr/local/bin/xmpp_gen
COPY xmpp_run /usr/local/bin/xmpp_run

CMD ["/usr/local/bin/xmpp_run"]
